Skip to content

Clear Line Items

Request

This function is used to clear the line items displayed on a UTG-controlled PIN pad.

Note: The DELETE request does not support a request body. Sending an empty request body may result in an error.

Integration Methods:

  • Locally Installed UTG

See the Integration Methods and URLs Section sections of the Development Quick Start guide for details regarding each processing option.

Security
AccessToken
Headers
TerminalIdstring, <= 32 charactersrequired

The API Terminal ID configured in UTG TuneUp must be specified in this field.

Example:1742
InterfaceVersionstring, <= 11 charactersrequired

Refers to the version of the program or application that is sending requests to Shift4. The following special characters are not allowed: $ % : ^ - ~ < > , ? “ ” ‘ ’ { } [ ] \ + =

Example:2.1
InterfaceNamestring, <= 25 charactersrequired

Refers to the name of the program or application that is sending requests to Shift4. This should be the name of the program that you purchased or created. The following special characters are not allowed: $ % : ^ - ~ ` < > , ? “ ” ‘ ’ { } [ ] \ + =

Example:ForwardPOS
CompanyNamestring, <= 26 charactersrequired

Refers to the vendor or partner that designed and certified the interface. The information you use in this field should match what Shift4 has on file or what was agreed upon in your Integration Plan. The following special characters are not allowed: $ % : ^ - ~ ` < > , ? “ ” ‘ ’ { } [ ] \ + =

Example:PAWS
AccessTokenstring, (uuid), <= 52 charactersrequired

A security credential used to authenticate API requests and all i4Go® authorizeClient/preauthorizeClient requests. An Access Token is the alias for the merchant account and interface being used. The Access Token is required in all requests except an Access Token Exchange request, which generates an Access Token using an authToken and clientGuid.

Example:EA79FB05-3AA7-4500-AF9A-73F986FF2C1D
DELETE
/devices/lineitems
curl -i -X DELETE \
  https://192.168.1.10:277/api/rest/v1/devices/lineitems \
  -H 'AccessToken: YOUR_API_KEY_HERE' \
  -H 'CompanyName: PAWS' \
  -H 'InterfaceName: ForwardPOS' \
  -H 'InterfaceVersion: 2.1' \
  -H 'TerminalId: 1742'

Responses

Request was processed

Bodyapplication/json
resultArray of objects
Response
{ "result": [ { "dateTime": "2024-05-21T09:18:23.283-07:00", "device": { "terminalId": "1742" }, "server": { "name": "TM01CE" } } ] }